pipeline:
  # restore-cache:
  #   image: drillster/drone-volume-cache
  #   restore: true
  #   mount:
  #     - build
  #   volumes:
  #     - /home/gitea/gitea/drone_build_cache/notes:/cache

  build:
    image: vbrandl/notes-builder:latest
    commands:
      - make

  # rebuild-cache:
  #   image: drillster/drone-volume-cache
  #   rebuild: true
  #   mount:
  #     - build
  #   volumes:
  #     - /home/gitea/gitea/drone_build_cache/notes:/cache

  compress:
    image: alpine:latest
    commands:
      - apk --no-cache update
      - apk add make
      - make compress

  deploy:
    image: drillster/drone-rsync
    hosts: [ "vbrandl.net" ]
    target: /var/www/notes.vbrandl.net
    source: build/*
    exclude: ["*.aux", "*.fdb_latexmk", "*.fls", "*.log"]
    user: hugo
    secrets: [ rsync_key ]
    when:
      branch: master
